org.apache.sling.auth.xing.login.impl

## Class XingLoginAuthenticationHandler

- java.lang.Object
- - org.apache.sling.auth.core.spi.DefaultAuthenticationFeedbackHandler
  - - org.apache.sling.auth.xing.login.impl.XingLoginAuthenticationHandler

All Implemented Interfaces:
  org.apache.sling.auth.core.spi.AuthenticationFeedbackHandler, org.apache.sling.auth.core.spi.AuthenticationHandler

    @Service
    @Properties(value={@Property(name="service.vendor",value="The Apache Software Foundation"),@Property(name="service.description",value="Authentication Handler for Sling Authentication XING Login"),@Property(name="service.ranking",intValue=0,propertyPrivate=false),@Property(name="path",value="/",unbounded=ARRAY),@Property(name="authtype",value="xing-login",propertyPrivate=true)})
    public class XingLoginAuthenticationHandler
    extends org.apache.sling.auth.core.spi.DefaultAuthenticationFeedbackHandler
    implements org.apache.sling.auth.core.spi.AuthenticationHandler

### Field Summary

### Fields inherited from interface org.apache.sling.auth.core.spi.AuthenticationHandler

`FAILURE_REASON, PATH_PROPERTY, REQUEST_LOGIN_PARAMETER, SERVICE_NAME, TYPE_PROPERTY`

### Constructor Summary

Constructors
Constructor and Description
`XingLoginAuthenticationHandler()`

### Method Summary

Methods
`protected void` `activate(org.osgi.service.component.ComponentContext ComponentContext)`
`protected void` `configure(org.osgi.service.component.ComponentContext context)`
`protected void` `deactivate(org.osgi.service.component.ComponentContext ComponentContext)`
`protected void` `deleteCookies(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `dropCredentials(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.sling.auth.core.spi.AuthenticationInfo` `extractCredentials(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` we need the hash from the XING cookie (`xing_p_lw_s_[...]`) and the user data and id from our own cookies (`sling_auth_xing_[...]`)
`protected void` `modified(org.osgi.service.component.ComponentContext ComponentContext)`
`protected String` `readCookieValue(javax.servlet.http.Cookie cookie)`
`boolean` `requestCredentials(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

### Methods inherited from class org.apache.sling.auth.core.spi.DefaultAuthenticationFeedbackHandler

`authenticationFailed, authenticationSucceeded, handleRedirect`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XingLoginAuthenticationHandler

    public XingLoginAuthenticationHandler()

### Method Detail

#### activate

    @Activate
    protected void activate(org.osgi.service.component.ComponentContext ComponentContext)

#### modified

    @Modified
    protected void modified(org.osgi.service.component.ComponentContext ComponentContext)

#### deactivate

    @Deactivate
    protected void deactivate(org.osgi.service.component.ComponentContext ComponentContext)

#### configure

    protected void configure(org.osgi.service.component.ComponentContext context)

#### extractCredentials

    public org.apache.sling.auth.core.spi.AuthenticationInfo extractCredentials(javax.servlet.http.HttpServletRequest request,
                                                                       javax.servlet.http.HttpServletResponse response)

we need the hash from the XING cookie (`xing_p_lw_s_[...]`) and the user data and id from our own cookies (`sling_auth_xing_[...]`)

Specified by:
  `extractCredentials` in interface `org.apache.sling.auth.core.spi.AuthenticationHandler`
Parameters:
  `request` -
  `response` -
Returns:

#### requestCredentials

    public boolean requestCredentials(javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response)
                               throws IOException

Specified by:
  `requestCredentials` in interface `org.apache.sling.auth.core.spi.AuthenticationHandler`
Throws:
  `IOException`

#### dropCredentials

    public void dropCredentials(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                         throws IOException

Specified by:
  `dropCredentials` in interface `org.apache.sling.auth.core.spi.AuthenticationHandler`
Throws:
  `IOException`

#### readCookieValue

    protected String readCookieValue(javax.servlet.http.Cookie cookie)

#### deleteCookies

    protected void deleteCookies(javax.servlet.http.HttpServletRequest request,
                     javax.servlet.http.HttpServletResponse response)